#include <iostream>
#include <iomanip>

#include "tbb/task_scheduler_init.h"
#include "tbb/blocked_range.h"
#include "tbb/parallel_for.h"

using namespace std;
using namespace tbb;

double f(double x)
{
    return 4.0 / (1.0 + x * x);
}

double Summarize(int LeftPoint, int RightPoint, double Step)
{
    double Sum  = 0.0;

    double x = Step * LeftPoint;
    for(int Point = LeftPoint; Point < RightPoint; Point++, x += Step)
    {
        Sum += f(x);
    }

    return Step * Sum;
}

int main()
{
    const double Pi25dt = 3.141592653589793238462643;

    int TotalPoints;
    double ParallelPi;

    cout << "Parallel Pi calculating program" << endl;

    cin.get();

    return 0;
}